python-cffi_1.11.5-1_all.deb


Advertisement

Description

python-cffi - Foreign Function Interface for Python calling C code

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name python-cffi
Package version 1.11.5
Package release 1
Package architecture all
Package type deb
Installed size 384 B
Download size 65.70 KB
Official Mirror archive.ubuntu.com
Convenient and reliable way of calling C code from Python.
The aim of this project is to provide a convenient and reliable way of calling
C code from Python. It keeps Python logic in Python, and minimises the C
required. It is able to work at either the C API or ABI level, unlike most
other approaches, that only support the ABI level.
This package contains the necessary build and runtime support for cffi
modules.

Alternatives

Package Version Architecture Repository
python-cffi_1.11.5-1_all.deb 1.11.5 all Ubuntu Main
python-cffi - - -

Requires

Name Value
python-cffi-backend >= 1.11.5-1
python-cffi-backend << 1.11.5-1+c
python-pycparser -
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Binary Package python-cffi_1.11.5-1_all.deb
Source Package python-cffi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-cffi deb package:
    # sudo apt-get install python-cffi

Files

Path
/usr/lib/python2.7/dist-packages/cffi/__init__.py
/usr/lib/python2.7/dist-packages/cffi/_cffi_errors.h
/usr/lib/python2.7/dist-packages/cffi/_cffi_include.h
/usr/lib/python2.7/dist-packages/cffi/_embedding.h
/usr/lib/python2.7/dist-packages/cffi/api.py
/usr/lib/python2.7/dist-packages/cffi/backend_ctypes.py
/usr/lib/python2.7/dist-packages/cffi/cffi_opcode.py
/usr/lib/python2.7/dist-packages/cffi/commontypes.py
/usr/lib/python2.7/dist-packages/cffi/cparser.py
/usr/lib/python2.7/dist-packages/cffi/error.py
/usr/lib/python2.7/dist-packages/cffi/ffiplatform.py
/usr/lib/python2.7/dist-packages/cffi/lock.py
/usr/lib/python2.7/dist-packages/cffi/model.py
/usr/lib/python2.7/dist-packages/cffi/parse_c_type.h
/usr/lib/python2.7/dist-packages/cffi/recompiler.py
/usr/lib/python2.7/dist-packages/cffi/setuptools_ext.py
/usr/lib/python2.7/dist-packages/cffi/vengine_cpy.py
/usr/lib/python2.7/dist-packages/cffi/vengine_gen.py
/usr/lib/python2.7/dist-packages/cffi/verifier.py
/usr/lib/python2.7/dist-packages/cffi-1.11.5.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/cffi-1.11.5.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/cffi-1.11.5.egg-info/entry_points.txt
/usr/lib/python2.7/dist-packages/cffi-1.11.5.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/cffi-1.11.5.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/cffi-1.11.5.egg-info/top_level.txt
/usr/share/doc/python-cffi/changelog.Debian.gz
/usr/share/doc/python-cffi/copyright
/usr/share/python/dist/python-cffi

Changelog

2018-02-27 - Stefano Rivera <stefanor@debian.org>
python-cffi (1.11.5-1) unstable; urgency=medium
* New upstream release.
* Drop patches, superseded upstream.
2018-02-20 - Stefano Rivera <stefanor@debian.org>
python-cffi (1.11.4-1) unstable; urgency=medium
[ Stefano Rivera ]
* New upstream release.
* Drop patches, superseded upstream.
* Update copyright years.
* Bump Standards-Version to 4.1.3, no changes needed.
* Declare Rules-Requires-Root: no
* Bump debhelper compat to 11.
* Patch: Avoid embedded bootstrapping race in recent python2.7
(Closes: #889813)
[ Ondřej Nový ]
* d/control: Set Vcs-* to salsa.debian.org
* d/copyright: Use https protocol in Format field
* d/control: Deprecating priority extra as per policy 4.0.1
2016-12-30 - Stefano Rivera <stefanor@debian.org>
python-cffi (1.9.1-2) unstable; urgency=medium
* Patch kfreebsd-mtime-resolution: Explicitly flush import cache after
creating a Python module in test_recompiler. Fixes test failures on
kFreeBSD.
2016-12-30 - Stefano Rivera <stefanor@debian.org>
python-cffi (1.9.1-1) unstable; urgency=medium
* New upstream release.
2016-08-01 - Stefano Rivera <stefanor@debian.org>
python-cffi (1.7.0-1) unstable; urgency=medium
* New upstream release. (Closes: #811953)
2016-05-07 - Stefano Rivera <stefanor@debian.org>
python-cffi (1.6.0-1) unstable; urgency=medium
* New upstream release.
* Bump Standards-Version to 3.9.8, no changes needed.
* britney now supports versioned Provides, so generate them in pydist.
2016-02-18 - Stefano Rivera <stefanor@debian.org>
python-cffi (1.5.2-1) unstable; urgency=medium
* New upstream release.
* Drop all patches, superseded upstream.
* Switch VCS fields to the same https URL
* Switch watch file to use https.
* Bump Standards-Version to 3.9.7, no changes needed.
* Instruct virtualenv to never download, during package tests.
2016-01-17 - Stefano Rivera <stefanor@debian.org>
python-cffi (1.5.0-1) unstable; urgency=medium
* New upstream release
* Bump dh-python Build-Dep to a version that can correctly use
--ext-dest-dir.
* Drop patches superseded upstream.
* Patch the new extension system to work with pybuild, and support -dbg
interpreters.
* Bump copyright years.
2015-12-29 - Stefano Rivera <stefanor@debian.org>
python-cffi (1.4.2-2) unstable; urgency=medium
* Workaround a libffi bug in struct return value handling on arm64, which
was causing tests to fail.
2015-12-25 - Stefano Rivera <stefanor@debian.org>
python-cffi (1.4.2-1) unstable; urgency=medium
* New upstream release

See Also

Package Description
python-chardet_3.0.4-1_all.deb universal character encoding detector for Python2
python-cherrypy3-doc_8.9.1-2_all.deb Documentation for CherryPy web framework
python-cherrypy3_8.9.1-2_all.deb Python web development framework - Python 2 module
python-cinder_12.0.0-0ubuntu1_all.deb Cinder Python libraries
python-cinderclient_3.5.0-0ubuntu1_all.deb Python bindings to the OpenStack Volume API - Python 2.x
python-click_6.7-3_all.deb Simple wrapper around optparse for powerful command line utilities - Python 2.7
python-cliff-doc_2.11.0-0ubuntu2_all.deb command line interface formulation framework documentation
python-cliff_2.11.0-0ubuntu2_all.deb command line interface formulation framework - Python 2.x
python-cmd2_0.7.9-0ubuntu1_all.deb enhanced Python cmd module - Python 2.x
python-colorama_0.3.7-1_all.deb Cross-platform colored terminal text in Python - Python 2.x
python-concurrent.futures_3.2.0-1_all.deb backport of concurrent.futures package from Python 3.2
python-configobj-doc_5.0.6-2_all.deb simple but powerful config file reader and writer (documentation)
python-configobj_5.0.6-2_all.deb simple but powerful config file reader and writer for Python 2
python-configparser_3.5.0-1_all.deb backport of the enhanced config parser introduced in Python 3.2
python-constantly_15.1.0-1_all.deb Symbolic constants in Python
Advertisement
Advertisement